Bug 256557 - graphics/pecl-imagick-im7: Update MAINTAINER, Update to 3.5.0
Summary: graphics/pecl-imagick-im7: Update MAINTAINER, Update to 3.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-11 18:35 UTC by Rob LA LAU
Modified: 2021-07-20 04:17 UTC (History)
6 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly?


Attachments
upgrade to 3.5.0 (2.26 KB, patch)
2021-06-28 23:21 UTC, Miroslav Lachman
koobs: maintainer-approval+
Details | Diff
pecl-imagick change MAINTAINER (398 bytes, patch)
2021-07-17 09:22 UTC, Miroslav Lachman
no flags Details | Diff
pecl-imagick-im7 change MAINTAINER (417 bytes, patch)
2021-07-17 09:22 UTC, Miroslav Lachman
no flags Details | Diff
poudriere testport pecl-imagick with PHP 8.0 (57.39 KB, text/plain)
2021-07-17 09:25 UTC, Miroslav Lachman
no flags Details
poudriere testport pecl-imagick-im7 with PHP 8.0 (48.05 KB, text/plain)
2021-07-17 09:25 UTC, Miroslav Lachman
no flags Details
poudriere testport pecl-imagick with PHP 7.4 (57.86 KB, text/plain)
2021-07-17 09:26 UTC, Miroslav Lachman
no flags Details
poudriere testport pecl-imagick-im7 with PHP 7.4 (48.35 KB, text/plain)
2021-07-17 09:26 UTC, Miroslav Lachman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob LA LAU 2021-06-11 18:35:15 UTC
Hi,

Apparently, the Imagick version installed for PHP 8 is not the official Imagick release for PHP 8.

Please see https://bugs.php.net/bug.php?id=81020 for details.

Cheers,
  Rob
Comment 1 zeman.petr.cz 2021-06-11 22:49:58 UTC
The same problem on many of our systems. It leads to the need for many hacks filtering out Imagick warnings.

Using 8.0.7
Comment 2 Miroslav Lachman 2021-06-28 09:57:03 UTC
The title and the description of this PR is not useful at all.
The key point is this warning on each startup / restart when pecl-imagick or peck-imagick-im7 is loaded:

PHP Warning:  Missing arginfo for Imagick::__tostring() in Unknown on line 0
PHP Warning:  Missing arginfo for Imagick::getimagehistogram() in Unknown on line 0
Comment 3 Miroslav Lachman 2021-06-28 23:21:51 UTC
Created attachment 226100 [details]
upgrade to 3.5.0

pecl-imagick-3.5.0 patch, compatibil with PHP 8.0
Comment 4 Miroslav Lachman 2021-06-28 23:24:34 UTC
Ports tree has outdated version of pecl-imagick which is not fully compatible with PHP 8.0. Upstream released version 3.5.0 compatible with PHP 8.0. I attached the patch to upgrade the port to this version.

It is tested with poudriere testport without issues, package was built and installed on our testing server.
Comment 5 Martin Matuska freebsd_committer 2021-06-28 23:46:27 UTC
Would you be interested in taking over maintainership?
Comment 6 Miroslav Lachman 2021-06-29 08:31:35 UTC
(In reply to Martin Matuska from comment #5)
I am not skilled to maintain complicated ports with additional patches. This version seems easy so if you have no time / no interest in pecl-imagick + pecl-imagick-im7 I can maintain it.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 03:00:01 UTC
(In reply to Miroslav Lachman from comment #6)

Thank you Miroslav. Please update the MAINTAINER line accordingly (in a separate patch so it can be merged), and confirm the changes pass QA

^Triage: Maintainer timeout, reset assignee
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 03:00:24 UTC
Comment on attachment 226100 [details]
upgrade to 3.5.0

^Triage: Reporter is not (yet) MAINTAINER, reset approval
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 03:01:06 UTC
Comment on attachment 226100 [details]
upgrade to 3.5.0

Pending QA and MAINTAINER update (patch)

  Approved by: portmgr (maintainer timeout: > 14 days)
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 03:01:55 UTC
^Triage: If the 3.5.0 release is a bugfix and/or security release, please let us know so  (add changelog link to URL), so that the full change can be merged to quarterly
Comment 11 Miroslav Lachman 2021-07-17 09:22:30 UTC
Created attachment 226505 [details]
pecl-imagick change MAINTAINER
Comment 12 Miroslav Lachman 2021-07-17 09:22:51 UTC
Created attachment 226506 [details]
pecl-imagick-im7 change MAINTAINER
Comment 13 Miroslav Lachman 2021-07-17 09:25:07 UTC
Created attachment 226507 [details]
poudriere testport pecl-imagick with PHP 8.0
Comment 14 Miroslav Lachman 2021-07-17 09:25:31 UTC
Created attachment 226508 [details]
poudriere testport pecl-imagick-im7 with PHP 8.0
Comment 15 Miroslav Lachman 2021-07-17 09:26:00 UTC
Created attachment 226509 [details]
poudriere testport pecl-imagick with PHP 7.4
Comment 16 Miroslav Lachman 2021-07-17 09:26:31 UTC
Created attachment 226510 [details]
poudriere testport pecl-imagick-im7 with PHP 7.4
Comment 17 Miroslav Lachman 2021-07-17 09:35:04 UTC
I don't know what "confirm the changes pass QA" means. Let me know if I should provide anything else.

3.5.0 is a kind of bugfix because previous version does not support PHP 8.0 officially. There were some backported patches but the warning on each PHP run / start was printed to console / log file. 3.5.0 is official release with PHP 8.0 support. If php80-pecl-imagick and php80-pecl-imagick-im7 are built for quaterly then I think it should be merged.

Changelog:
https://pecl.php.net/package-changelog.php?package=imagick&release=3.5.0
Comment 18 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 09:37:41 UTC
(In reply to Miroslav Lachman from comment #17)

Logs as attachments are not required unless explicitly requested, but confirming it passes portlint/poudriere (what versions/archs/options were tested) is fine.

Thank you!
Comment 19 commit-hook freebsd_committer 2021-07-20 04:17:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0b9a33026c01996514c32d9e93b10c680dce0201

commit 0b9a33026c01996514c32d9e93b10c680dce0201
Author:     Miroslav Lachman <000.fbsd@quip.cz>
AuthorDate: 2021-07-20 04:13:28 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-07-20 04:16:16 +0000

    graphics/pecl-imagick: Update to 3.5.0 and take maintainership

    PR:             256557
    Approved by:    mm (original maintainer)

 graphics/pecl-imagick-im7/Makefile |  2 +-
 graphics/pecl-imagick/Makefile     | 14 ++++----------
 graphics/pecl-imagick/distinfo     | 12 +++---------
 3 files changed, 8 insertions(+), 20 deletions(-)